Bug 170066 - up2date return before updating is completed, leaving background job
up2date return before updating is completed, leaving background job
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bryan Kearney
Corey Welton
:
Depends On:
Blocks: 176344 218657
  Show dependency treegraph
 
Reported: 2005-10-06 18:38 EDT by William R. Somsky
Modified: 2013-01-10 03:48 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0250
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William R. Somsky 2005-10-06 18:38:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When up2date has to update the up2date package itself,
it restarts the up2date after having updated itself.

However, this re-up2date is spawned off as a child process,
and the original up2date returns immediately, with the
child up2date running asynchronously.

This is particularly troublesome when up2date is used
in a script.  The original command returns and the succeeding
script commands try to run, while the spawned up2date is
still running in the background, with packages as yet unupdated
and the rmp database locked.

Version-Release number of selected component (if applicable):
up2date-4.4.5.6-2

How reproducible:
Always

Steps to Reproduce:
1. have the up2date package itself out of date
2. run something like " up2date -u ; echo 'returned, but not done' "
3.
  

Actual Results:  A child up2date is still running after the 'returned, but not done'
message is printed.

Expected Results:  The parent up2date should have waited for the child up2date to
complete before returning.

Additional info:

This should be considered a high severity,
as it breaks system installation and maintainance scripts.
Comment 2 Beth Nackashi 2006-04-22 16:45:25 EDT
kickstart related?  if not, this needs to be aligned to rhel3 u8 and rhel4 u4.
Comment 3 Ben Levenson 2006-04-24 13:32:50 EDT
kickstart isn't a required factor to reproduce this bug.
Comment 4 James Bowes 2006-08-24 13:45:18 EDT
Fix in subversion now.
Comment 5 James Bowes 2006-11-09 12:17:43 EST
Fixed in up2date-4.5.0-1
Comment 8 Corey Welton 2007-03-21 14:12:34 EDT
QA Verified, child process no longer stays running
Comment 10 Red Hat Bugzilla 2007-05-01 19:00:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0250.html

Note You need to log in before you can comment on or make changes to this bug.